# Config

{% tabs %}
{% tab title="Config.lua" %}

```lua
Config = {}

-- 'auto_detect' for auto detect framework
-- 'esx' for ESX
-- 'qb' for QB
Config.Framework = 'auto_detect'

-- Used export method
-- If you have getObject problem change this option to false
Config.MethodExport = true

-- This is name for your framework
-- If you use a custom clothing name, place it in clothing name
Config.NameListResource = {
    ['esx'] = 'es_extended',
    ['qb'] = 'qb-core',
    ['clothing'] = ''
}

-- This is the name of the command.
Config.CommandName = 'ped'

-- If you want the menu to open with a key change KeyMapping to true 
Config.KeyMapping = {
    Enable = false,
    Key = 'F11'
}

-- Type menu
-- 'framework' - Menu of your framework
-- 'ox_lib' - Open menu ox_lib
Config.Menu = 'ox_lib'

-- 0 - auto detect clothing
-- 1 - esx_skin or qb-clothing
-- 2 - fivem-appearance or illenium-appearance
-- 3 - ak47_qb_clothing
Config.Clothing = 0

-- Your triggers names 
-- for qb you do not need to place any trigger name
Config.ListEvent = {
    ['esx'] = {
        ['esx'] = 'esx:getSharedObject',
    }
}

Config.Groups = {
    ['esx'] = {                                                                         
        'superadmin',
        'admin'
    },
    ['qb'] = {
        'god',
        'admin'
    }
}

-- The skins that you place here can be used by all players by opening the peds menu
Config.SkinAllPlayers = {
    --['a_f_m_bevhills_02'] = 'a_f_m_bevhills_02',
}

--██╗      █████╗ ███╗   ██╗ ██████╗ ██╗   ██╗ █████╗  ██████╗ ███████╗███████╗
--██║     ██╔══██╗████╗  ██║██╔════╝ ██║   ██║██╔══██╗██╔════╝ ██╔════╝██╔════╝
--██║     ███████║██╔██╗ ██║██║  ███╗██║   ██║███████║██║  ███╗█████╗  ███████╗
--██║     ██╔══██║██║╚██╗██║██║   ██║██║   ██║██╔══██║██║   ██║██╔══╝  ╚════██║
--███████╗██║  ██║██║ ╚████║╚██████╔╝╚██████╔╝██║  ██║╚██████╔╝███████╗███████║
--╚══════╝╚═╝  ╚═╝╚═╝  ╚═══╝ ╚═════╝  ╚═════╝ ╚═╝  ╚═╝ ╚═════╝ ╚══════╝╚══════╝                                                                  
Config.Language = 'en'
Config.Languages = {
	['en'] = {
        ['TITLE_MENU'] = 'Ped Menu',
        ['MY_PEDS'] = 'My peds',
        ['MY_PEDS_DESCRIPTION'] = 'Show my peds',
        ['SEARCH'] = 'Search',
        ['SEARCH_DESCRIPTION'] = 'Search player from id or identifier',
        ['SHOW_PLAYERS_LIST'] = 'Show players',
        ['SHOW_PLAYERS_LIST_DESCRIPTION'] = 'Search by player list',
        ['RELOAD_CHARACTER'] = 'Reload Character',
        ['RELOAD_CHARACTER_DESCRIPTION'] = 'Return to your charactert',
        ['SET_LAST_PED'] = 'Place ped on entry: %s',
        ['SET_LAST_PED_DESCRIPTION'] = 'Place the last ped when entering the server',
        ['ENABLED'] = 'Enabled',
        ['DISABLED'] = 'Disabled',
        ['NOT_FOUNDS_SKINS'] = 'You have no skins available',
        ['WRITE'] = 'Write the id or identifier',
        ['SEARCH'] = 'Search player',
        ['PLAYER_LABEL'] = 'Player %s',
        ['ADD_PED'] = 'Add ped',
        ['ADD_PED_DESCRIPTION'] = 'Add ped to player',
        ['WRITE_THE_LABEL'] = 'Write the label',
        ['MODEL_NOT_EXIST'] = 'Model ped not exist',
        ['CONFIRM'] = 'Confirm',
        ['WRITE_THE_MODEL'] = 'Write the ped model',
        ['SELECT_THE_PLAYERS'] = 'Select the player',
        ['PLAYER_LIST'] = '[%s] - %s',
        ['PLAYER_OFFLINE'] = 'Player offline',
        ['SUCCESS_ADD_SKIN'] = 'The skin was added %s',
        ['GO_BACK'] = '< Go Back',
        ['DELETE_PED'] = 'Click to delete',
        ['PLAYER_IDENTIFIER_NOT_EXIST'] = 'Identifier player not exist',
    },

	['es'] = {
        ['TITLE_MENU'] = 'Menu de ped',
        ['MY_PEDS'] = 'Mis peds',
        ['MY_PEDS_DESCRIPTION'] = 'Ver mis peds',
        ['SEARCH'] = 'Buscar',
        ['SEARCH_DESCRIPTION'] = 'Buscar jugador por id o identificador',
        ['SHOW_PLAYERS_LIST'] = 'Ver jugadores',
        ['SHOW_PLAYERS_LIST_DESCRIPTION'] = 'Buscar jugadores por la lista',
        ['RELOAD_CHARACTER'] = 'Recargar personaje',
        ['RELOAD_CHARACTER_DESCRIPTION'] = 'Regresar al personaje',
        ['SET_LAST_PED'] = 'Colocarte ped al entrar: %s',
        ['SET_LAST_PED_DESCRIPTION'] = 'Colocarte el ultimo ped al entrar al servidor',
        ['ENABLED'] = 'Habilitado',
        ['DISABLED'] = 'Desabilitado',
        ['NOT_FOUNDS_SKINS'] = 'No tienes skins disponibles',
        ['WRITE'] = 'Escribe el id o identificador',
        ['SEARCH'] = 'Buscar jugador',
        ['PLAYER_LABEL'] = 'Jugador %s',
        ['ADD_PED'] = 'Agregar ped',
        ['MODEL_NOT_EXIST'] = 'El modelo del ped no existe',
        ['ADD_PED_DESCRIPTION'] = 'Agregar ped a un jugador',
        ['WRITE_THE_LABEL'] = 'Escribe el label',
        ['CONFIRM'] = 'Confirmar',
        ['WRITE_THE_MODEL'] = 'Escribe el modelo del ped',
        ['SELECT_THE_PLAYERS'] = 'Selecciona al jugador',
        ['PLAYER_LIST'] = '[%s] - %s',
        ['PLAYER_OFFLINE'] = 'Jugador desconectado',
        ['SUCCESS_ADD_SKIN'] = 'La skins fue agregada %s',
        ['GO_BACK'] = '< Volver atras',
        ['DELETE_PED'] = 'Click para borrar',
        ['PLAYER_IDENTIFIER_NOT_EXIST'] = 'El identificador del jugador no existe',
    }
}
```

{% endtab %}

{% tab title="customise\_me.lua" %}

```lua
U.Notify = function(msg, type)
    --Here you can edit your notification
    if Config.Framework == 'qb' then
        Framework.Functions.Notify(msg, type)
	elseif Config.Framework == 'esx' then
		Framework.ShowNotification(msg)
	end

    --exports['mythic_notify']:DoHudText(type, msg) --Notification mythic
end
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.juca-scripts.com/assets/peds/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
